## EIntervalChooser

EIntervalChooser

## Functions

GtkWidget * | e_interval_chooser_new ()
guint | e_interval_chooser_get_interval_minutes ()
void | e_interval_chooser_set_interval_minutes ()

## Properties

guint | interval-minutes | Read / Write / Construct

## Types and Values

struct | EIntervalChooser
enum | EDurationType

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── EIntervalChooser

## Implemented Interfaces

EIntervalChooser implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### e_interval_chooser_new ()

    GtkWidget *
    e_interval_chooser_new (void);

### e_interval_chooser_get_interval_minutes ()

    guint
    e_interval_chooser_get_interval_minutes
                                   (EIntervalChooser *refresh);

### e_interval_chooser_set_interval_minutes ()

    void
    e_interval_chooser_set_interval_minutes
                                   (EIntervalChooser *refresh,
                                    guint interval_minutes);

## Types and Values

### struct EIntervalChooser

    struct EIntervalChooser;

### enum EDurationType

Possible units for a duration or interval value.

This enumeration is typically used where the numeric value and the units of the value are shown or recorded separately.

#### Members

E_DURATION_MINUTES | Duration value is in minutes. |
E_DURATION_HOURS | Duration value is in hours. |
E_DURATION_DAYS | Duration value is in days. |

## Property Details

### The `“interval-minutes”` property

      “interval-minutes”         guint

Refresh interval in minutes.

Flags: Read / Write / Construct

Default value: 60